using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class ViewPrivteKhatereh : System.Web.UI.UserControl
{

    protected void grdFill()
    {
        LSC_KhateratDataContext db = new LSC_KhateratDataContext();
        var Query = from Row in db.XtblKhaterehPrivateGrds
                    where Row.UserID == int.Parse(Session["UserIDGm"].ToString().Trim())
                    select Row;

        Grd_PrivateKhatereh.DataSource = Query;
        Grd_PrivateKhatereh.EmptyDataText = "هیچگونه نوشتار خصوصی به اشتراک گذاشته نشده است.";
        Grd_PrivateKhatereh.DataBind();
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        Grd_PrivateKhatereh.EmptyDataText = "هیچگونه نوشتار خصوصی به اشتراک گذاشته نشده است.";
        if (Session["UserName"] != null)
        {
            grdFill();
        }
    }

    protected void Grd_PrivateKhatereh_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        Grd_PrivateKhatereh.PageIndex = e.NewPageIndex;
        grdFill();
    }
}